Bug 469656 - (CVE-2008-4864) CVE-2008-4864 python: imageop module multiple integer overflows
CVE-2008-4864 python: imageop module multiple integer overflows
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=internet,reported=20081019,pub...
: Security
Depends On: 486114 486329 486330 486351 486352 537915
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-03 04:36 EST by Tomas Hoger
Modified: 2016-03-04 06:34 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:31:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-11-03 04:36:58 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4864 to the following vulnerability:

Multiple integer overflows in imageop.c in the imageop module in
Python 1.5.2 through 2.5.1 allow context-dependent attackers to break
out of the Python VM and execute arbitrary code via large integer
values in certain arguments to the crop function, leading to a buffer
overflow, a different vulnerability than CVE-2007-4965 and
CVE-2008-1679.

References:
http://scary.beasts.org/security/CESA-2008-008.html
http://svn.python.org/view?rev=66689&view=rev
http://www.securityfocus.com/bid/31976
http://www.openwall.com/lists/oss-security/2008/10/27/2
http://www.openwall.com/lists/oss-security/2008/10/29/3
Comment 1 Jan Lieskovsky 2008-11-10 15:58:46 EST
The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.  More information regarding
issue severity can be found here:
http://www.redhat.com/security/updates/classification/
Comment 6 Jan Lieskovsky 2009-04-02 12:41:17 EDT
Reproducer: 

import imageop
s = ''
imageop.crop(s, 1, 65536, 65536, 0, 0, 65536, 65536)

from http://scary.beasts.org/security/CESA-2008-008.html
Comment 15 errata-xmlrpc 2009-07-27 05:23:20 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1176 https://rhn.redhat.com/errata/RHSA-2009-1176.html
Comment 16 errata-xmlrpc 2009-07-27 05:35:44 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1177 https://rhn.redhat.com/errata/RHSA-2009-1177.html
Comment 17 errata-xmlrpc 2009-07-27 05:37:38 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:1178 https://rhn.redhat.com/errata/RHSA-2009-1178.html
Comment 18 Jonathan Steffan 2009-09-07 18:03:01 EDT
Has this been addressed everywhere? The only python 2.5 we actively ship in Fedora is 2.5.2 in the F-10 branch, which looks to have addressed this CVE.

Note You need to log in before you can comment on or make changes to this bug.